/*******************************************************
 *
 *  File: cpu.h
 *
 *  Author: Peter van Sebille (peter@yipton.demon.co.uk)
 *
 *  (c) Copyright 2001, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************/
#ifndef __CPU_H
#define __CPU_H

/*
 * cpu_ll.S
 */
unsigned _cpsr_read();
void _cpsr_write(unsigned);
void _cp15_write_control_register(unsigned);
unsigned _cp15_read_control_register();
void _cp15_write_translation_table_base(unsigned);
void _cp15_write_domain_access_control(unsigned);
void _boot_kernel(unsigned boot_adr);
void _boot_kernel1(unsigned boot_adr);
void _enable_I_cache();
void _enable_caches();
void _disable_caches();
void _disable_mmu();
void _boot_linux_kernel(unsigned boot_adr);



void cpu_init_stuff();



#endif			/* __CPU_H */
