#include <stdio.h>
#include <stdlib.h>
#include "crc.h"

#define MAX_BUF_SIZE 4096
static char	buf[MAX_BUF_SIZE];

int main(int argc, char* argv[])
{
	unsigned 	crc16 = 0;
	int			count;

	FILE*	file = stdin;

	if (argc == 2)
	{
		file = fopen(argv[1], "r");
		if (!file)
		{
			fprintf(stderr, "Error, could not open file %s\n", argv[1]);
			exit(-1);
		}
	}

	do {
		count = fread(buf, 1, MAX_BUF_SIZE, file);
		crc16 = crc_data(buf, count, crc16);
	} while(!feof(file));
	
	printf("%i\n", crc16);

	return 0;
}
