#!/bin/sh
IMAGE=some input file
GLUED=some ouput file
CRCFILE=./crcfile

if [ -r $IMAGE  ]; then
	WC=`wc -c $IMAGE`
	CRC=""
	if [-r $CRCFILE ]; then
		CRC=`./crcfile  $IMAGE`
	else
		echo "No crc added"
	fi
	echo $WC $CRC > $GLUED
	cat $IMAGE >> $GLUED

	echo ""
	echo "Done, created file $GLUED"
	echo ""
else
	echo "Could not read file $IMAGE"
fi

