/*******************************************************
 *
 *  File: got.c
 *
 *  Author: Peter van Sebille (peter@yipton.demon.co.uk)
 *
 *  (c) Copyright 2001, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************/

#define PAGE_SIZE 4096

static void do_fixup_got(unsigned* got)
{
	int		count = PAGE_SIZE >> 2;
	
	while(count-- && *got)
	{
		*got -= 0x01800000;
		*got++ |= 0xfc000000;
	}
}

	
void fixup_got()
{
	unsigned*	got = (unsigned*) 0xfc009000;
	do_fixup_got(got);
}

