/*******************************************************
 *
 *  File: video.h
 *
 *  Author: Peter van Sebille (peter@yipton.demon.co.uk)
 *
 *  (c) Copyright 2001, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************/

#ifndef __VIDEO_H
#define __VIDEO_H

void video_setup(unsigned* video_base, int width, int height, int bpp, unsigned fg_colour, unsigned bg_colour);
void video_puts(const char* str);
void video_printch(char c);
void video_clear();

#ifdef _DEBUG
	#define VIDEO_WRITE(a, b)	video_write(a, b)
#else
	#define VIDEO_WRITE(a, b) /**/
#endif


#endif			/* __VIDEO_H */

